Home | All Classes | Main Classes | Annotated | Grouped Classes |

# QXmlEntityResolver Class Reference
[XML module]

The QXmlEntityResolver class provides an interface to resolve external entities contained in XML data. More...

`#include <qxml.h>`

Inherited by QXmlDefaultHandler.

List of all member functions.

## Public Members

- virtual bool resolveEntity ( const QString & publicId, const QString & systemId, QXmlInputSource *& ret ) = 0
- virtual QString errorString () = 0

## Detailed Description

The QXmlEntityResolver class provides an interface to resolve external entities contained in XML data.

If an application needs to implement customized handling for external entities, it must implement this interface, i.e. resolveEntity(), and register it with QXmlReader::setEntityResolver().

See also the Introduction to SAX2.

See also QXmlDTDHandler, QXmlDeclHandler, QXmlContentHandler, QXmlErrorHandler, QXmlLexicalHandler and XML.

## Member Function Documentation

### QString QXmlEntityResolver::errorString ()`[pure virtual]`

The reader calls this function to get an error string if any of the handler functions returns FALSE.

### bool QXmlEntityResolver::resolveEntity ( const QString & publicId, const QString & systemId, QXmlInputSource *& ret )`[pure virtual]`

The reader calls this function before it opens any external entity, except the top-level document entity. The application may request the reader to resolve the entity itself (ret is 0) or to use an entirely different input source (ret points to the input source).

The reader deletes the input source ret when it no longer needs it, so you should allocate it on the heap with `new`.

The argument publicId is the public identifier of the external entity, systemId is the system identifier of the external entity and ret is the return value of this function. If ret is 0 the reader should resolve the entity itself, if it is non-zero it must point to an input source which the reader uses instead.

If this function returns FALSE the reader stops parsing and reports an error. The reader uses the function errorString() to get the error message.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.